Loading...
Searching...
No Matches
vco_c.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2013 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_GR_VCO_C_H
#define INCLUDED_GR_VCO_C_H
#include <gnuradio/blocks/api.h>
#include <gnuradio/sync_block.h>
namespace gr {
namespace blocks {
/*!
* \brief VCO - Voltage controlled oscillator
* \ingroup modulators_blk
* \ingroup waveform_generators_blk
*
* \details
* input: float stream of control voltages; output: complex oscillator output
*/
class BLOCKS_API vco_c : virtual public sync_block
{
public:
// gr::blocks::vco_c::sptr
typedef std::shared_ptr<vco_c> sptr;
/*!
* \brief VCO - Voltage controlled oscillator
*
* \param sampling_rate sampling rate (Hz)
* \param sensitivity units are radians/sec/volt
* \param amplitude output amplitude
*/
static sptr make(double sampling_rate, double sensitivity, double amplitude);
};
} /* namespace blocks */
} /* namespace gr */
#endif /* INCLUDED_GR_VCO_C_H */
gr::blocks::vco_c
VCO - Voltage controlled oscillator.
Definition vco_c.h:29
gr::blocks::vco_c::sptr
std::shared_ptr< vco_c > sptr
Definition vco_c.h:32
gr::blocks::vco_c::make
static sptr make(double sampling_rate, double sensitivity, double amplitude)
VCO - Voltage controlled oscillator.
gr::sync_block::sync_block
sync_block(void)
Definition sync_block.h:28
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr::blocks
Definition abs_blk.h:20
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h